LaTeX::ToUnicode(3pm)

NAME
LaTeX::ToUnicode - Convert LaTeX commands to Unicode

VERSION
version 0.05

SYNOPSIS
  use LaTeX::ToUnicode qw( convert );

  convert( '{\"a}'           ) eq 'ae';  # true
  convert( '"a', german => 1 ) eq 'ae';  # true, `german' package syntax
  convert( '"a',             ) eq '"a'; # not enabled by default

DESCRIPTION
This module provides a method to convert LaTeX-style markups for accents etc. into their Unicode equivalents. It translates commands for special characters or accents into their Unicode equivalents and removes formatting commands.

I use this module to convert values from BibTeX files into plain text, if your use case is different, YMMV.

In contrast to TeX::Encode, this module does not create HTML of any kind.

FUNCTIONS

  convert( $string, %options )
Convert the text in $string that contains LaTeX into a plain(er) Unicode string. All escape sequences for special characters (e.g. \i, \"a, ...) are converted, formatting commands (e.g. {\it ...}) are removed.

%options allows you to enable additional translations. This values are recognized:

"german"
    If true, the commands introduced by the package `german' (e.g. ""a" eq "ae", note the missing backslash) are also handled.

AUTHOR
Gerhard Gossen <gerhard.gossen@googlemail.com> and Boris Veytsman <boris@varphi.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2010-2015 by Gerhard Gossen and Boris Veytsman

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.